Bug 994595 - SELinux is preventing /usr/bin/perl from using the 'signal' accesses on a process.
SELinux is preventing /usr/bin/perl from using the 'signal' accesses on a pro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:270dd6aec6328fc84974aadece5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 10:55 EDT by Wolfgang Rupprecht
Modified: 2013-08-21 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2013-08-07 10:55:54 EDT
Description of problem:
this happened when I enabled ipv6 pings in smokeping.

*** Probes ***

 +FPing6

 binary = /usr/sbin/fping6 

....

*** Targets ***

 probe = FPing6 

see: http://oss.oetiker.ch/smokeping/probe/FPing6.en.html

SELinux is preventing /usr/bin/perl from using the 'signal' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that perl should be allowed signal access on processes labeled smokeping_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep perl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:smokeping_t:s0
Target Context                system_u:system_r:smokeping_t:s0
Target Objects                 [ process ]
Source                        perl
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.16.3-265.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-07 07:49:12 PDT
Last Seen                     2013-08-07 07:49:12 PDT
Local ID                      5b1289e8-7706-4397-8e6a-1e5bc464691d

Raw Audit Messages
type=AVC msg=audit(1375886952.647:333): avc:  denied  { signal } for  pid=26617 comm="perl" scontext=system_u:system_r:smokeping_t:s0 tcontext=system_u:system_r:smokeping_t:s0 tclass=process


type=SYSCALL msg=audit(1375886952.647:333): arch=x86_64 syscall=kill success=no exit=EACCES a0=6804 a1=f a2=33023f8 a3=32e20d0 items=0 ppid=1 pid=26617 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=perl exe=/usr/bin/perl subj=system_u:system_r:smokeping_t:s0 key=(null)

Hash: perl,smokeping_t,smokeping_t,process,signal

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-07 13:44:12 EDT
a538a0a2a65a4d5e635450e52748c8651b89951b fixes this in git.
Comment 2 Miroslav Grepl 2013-08-08 08:13:42 EDT
back ported.
Comment 3 Fedora Update System 2013-08-20 04:26:38 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 4 Fedora Update System 2013-08-20 20:15:41 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-21 20:53:33 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.